Subject: bug#70128: Issue after upgrading ELPA-auctex 14.0.4

From: Angelo Graziosi <[email-masked]>
Date: Mon, 1 Apr 2024 20:08:23 +0200

The following happens on Windows 10 64 and Emacs 29.3-1 installed from 
MSYS2/UCRT64 (mingw-w64-ucrt-x86_64-emacs 29.3-1, released/built with 
native compilation )

When one starts Emacs it prints in Messages and minibuffer:

imenu-default-create-index-function: Invalid (or missing) doc string 
("c:/Users/utente/AppData/Roaming/.emacs.d/elpa/auctex-14.0.4/tex.elc" . 
301409)

After this the desktop file is "emptied": restarting Emacs all buffers 
of the desktop file are lost (I have lost about 50 of them :-( )

For the sake of completeness: the issue does not happen with Emacs built 
from Master (my build): this build _does not use_ native compilation.

Ciao,
   Angelo.